From 7b94df17217c116c882e8a080f686b626c82f45e Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@163.com>
Date: Thu, 21 Mar 2019 12:49:42 +0800
Subject: [PATCH] org-agenda: Add org-agenda-breadcrumbs-separator

* lisp/org-agenda.el (org-agenda-breadcrumbs-separator): New variable.
(org-agenda-format-item): Use org-agenda-breadcrumbs-separator
---
 lisp/org-agenda.el | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/lisp/org-agenda.el b/lisp/org-agenda.el
index baf9c8dc6..eba8bced9 100644
--- a/lisp/org-agenda.el
+++ b/lisp/org-agenda.el
@@ -1708,6 +1708,11 @@ Custom commands can set this variable in the options section."
   :version "26.1"
   :package-version '(Org . "9.1"))
 
+(defcustom org-agenda-breadcrumbs-separator "->"
+  "The separator of breadcrumbs in agenda lines."
+  :group 'org-agenda-line-format
+  :type 'string)
+
 (defvar org-prefix-format-compiled nil
   "The compiled prefix format and associated variables.
 This is a list where first element is a list of variable bindings, and second
@@ -6556,8 +6561,8 @@ Any match of REMOVE-RE will be removed from TXT."
 	  (setq breadcrumbs (org-with-point-at (org-get-at-bol 'org-marker)
 			      (let ((s (org-format-outline-path (org-get-outline-path)
 								(1- (frame-width))
-								nil "->")))
-				(if (eq "" s) "" (concat s "->"))))))
+								nil org-agenda-breadcrumbs-separator)))
+				(if (eq "" s) "" (concat s org-agenda-breadcrumbs-separator))))))
 	(setq time (cond (s2 (concat
 			      (org-agenda-time-of-day-to-ampm-maybe s1)
 			      "-" (org-agenda-time-of-day-to-ampm-maybe s2)
-- 
2.20.1

